REST APIWallet & TransactWebhook

GET

List webhooks set up on the wallet. Currently, the types of webhooks that can be attached to a wallet are transfer, pendingapproval, and address_confirmation notifications.

Path Params

  • coin string required
    A cryptocurrency or token ticker symbol.
  • walletId string required
    The wallet ID.

    matches ^[0-9a-f]{32}$

Responses

200
OK

Response Body

object

  • webhooks array of objects
    webhooks object
    • id string

      matches ^[0-9a-f]{32}$

    • label string
    • created string date-time
    • coin string
      A cryptocurrency or token ticker symbol.
    • type string enum
      Event type to listen to.
      txRequesttxRequestTransactiontransfertransactiontransactionRemovedtransactionExpireunspentExpirypendingapprovaladdress_confirmationlowFeeblockadmincircuitBreakertransaction_finality_on_l1lowFeeAddressBalancestuckTx
    • url string uri required
    • version integer
      2 for coins running on API v2.
    • numConfirmations integer
    • state string enum
      If active, indicates the webhook can trigger and send to the URL. If suspended, indicates the webhook can't trigger.
      activesuspended
    • lastAttempt string date-time
    • failingSince string date-time
    • successiveFailedAttempts integer
    • walletId string
    • allowBlockedHosts boolean
    • allToken boolean
    • txRequestStates array of string enums
      If present, only transaction request state changes from the list will trigger notifications. If not present, all transaction request state changes will trigger notifications.
      initializedpendingApprovalpendingUserCommitmentpendingUserRSharependingUserGSharereadyToSendpendingUserSignaturependingDeliverysigneddeliveredcanceledrejectedfailed
    • txRequestTransactionStates array of string enums
      If present, only transaction request transaction state changes from the list will trigger notifications. If not present, all transaction request transaction state changes will trigger notifications.
      initializedpendingSignatureeddsaPendingCommitmenteddsaPendingRShareeddsaPendingGSharereadyToCombineSharessignedhelddeliveredinvalidSignaturerejectedecdsaMPCv2Round1ecdsaMPCv2Round2ecdsaMPCv2Round3
    • identityStatus array of string enums
      If present, only identity status changes from the list will trigger notifications. If not present, all identity status changes will trigger notifications.
      approveddeclinedinput errorssn errorgov id errorssn verifiedgov id verifiedevaluating submissionawaiting document uploadrecords uploadedin reviewincomplete verificationsawaiting signaturesignature submittedinitiatingadditional information submitted
    • userKycState array of string enums
      If present, only user kyc state changes from the list will trigger notifications. If not present, all kyc state changes will trigger notifications.
      approvedpendingrejected
    • enterpriseKycState array of string enums
      If present, only enterprise kyc state changes from the list will trigger notifications. If not present, all kyc state changes will trigger notifications.
      approvedpendingrejected
    • walletId string

      matches ^[0-9a-f]{32}$

    • allToken boolean
400
Bad Request

Response Body

ONE OF

  • error string required
    Human-readable error message
  • requestId string required
    Client request id
  • context object
    Properties that apply to a specific error name
  • name string required
    Error code